#include "dirwrap.h"
#include "gen_defs.h"
#include "xpprintf.h"
#include "uifc.h"

void
filelist(uifcapi_t *uifc, const char *path)
{
	glob_t g;
	char *pattern;
	asprintf(&pattern, "%s/*", path);
	if (pattern == NULL) {
		fprintf(stderr, "asprintf failed\n");
		return;
	}
	if (glob(pattern, GLOB_MARK | GLOB_NOESCAPE, NULL, &g)) {
		fprintf(stderr, "glob failed\n");
		return;
	}

	int dflt = 0;
	int bar = 0;
	uifc->list_height = 18;
	uifc->list(WIN_ACT|WIN_FAT|WIN_FIXEDHEIGHT|WIN_PACK|WIN_NOBRDR|WIN_IMM|WIN_RHT, 0, 2, 36, &dflt, &bar, "Files", g.gl_pathv);
	uifc->list(WIN_FAT|WIN_FIXEDHEIGHT|WIN_PACK|WIN_NOBRDR, 0, 2, 39, &dflt, &bar, "Files", g.gl_pathv);
}

int
main(int argc, char **argv)
{
	uifcapi_t uifc = {0};
	uifc.size = sizeof(uifc);
	if (uifcini32(&uifc)) {
		fprintf(stderr, "UIFC init failed\n");
		return 1;
	}
	uifc.scrn("Deuce Commander");
	filelist(&uifc, "/home/admin");

	return 0;
}
